import { UUICardElement } from '@umbraco-ui/uui-card/lib';
import '@umbraco-ui/uui-symbol-folder/lib';
import '@umbraco-ui/uui-symbol-file/lib';
/**
 *  @element uui-card-media
 *  @description - Card component for displaying a media item.
 *  @slot tag - slot for the tag with support for `<uui-tag>` elements
 *  @slot actions - slot for the actions with support for the `<uui-action-bar>` element
 *  @slot - slot for the default content area
 */
export declare class UUICardMediaElement extends UUICardElement {
    #private;
    /**
     * Media name
     * @type {string}
     * @attr name
     * @default ''
     */
    name: string;
    /**
     * Media file extension, without "."
     * @type {string}
     * @attr file-ext
     * @default ''
     */
    fileExt: string;
    protected hasPreview: boolean;
    connectedCallback(): void;
    private queryPreviews;
    protected renderMedia(): import("lit-html").TemplateResult<1> | "";
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card-media': UUICardMediaElement;
    }
}
